summaryrefslogtreecommitdiff
path: root/umount.sh
diff options
context:
space:
mode:
authorjonas <jonas@8f53b18a-e215-0410-8885-9f593d34873e>2006-06-10 18:18:37 +0000
committerjonas <jonas@8f53b18a-e215-0410-8885-9f593d34873e>2006-06-10 18:18:37 +0000
commitb6d85b04286d30498a11aaac36e75032b1e72801 (patch)
tree2fc597a2ae2cf69a5cc6b3e7162f02f89613b08d /umount.sh
parent369cb1e5a343ec9e7c6f05de64f0eb102488d77f (diff)
Added all work so far...
git-svn-id: svn+ssh://xayide/home/jonas/private_svn/fleshybrid/trunk@2 8f53b18a-e215-0410-8885-9f593d34873e
Diffstat (limited to 'umount.sh')
-rwxr-xr-xumount.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/umount.sh b/umount.sh
new file mode 100755
index 0000000..9fc1a5b
--- /dev/null
+++ b/umount.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+. ./config-DEFAULTS || exit 1
+. ./config-HOST || exit 1
+. ./config-TARGET || exit 1
+. ./config-MANDATED || exit 1
+
+if [ "$1" = "temp" ]; then
+ target="$targettemp"
+else
+ target="$mountpoint"
+fi
+
+if [ "$FLASHYBRID" = "yes" ]; then
+ if [ -d "$targetoffline" ]; then
+ for dir in $flashybrid_diskstore; do
+ umount $target$dir || true
+ done
+ else
+ echo "WARNING: offline target $targetoffline does not exist." >&2
+ fi
+fi
+[ -n "$pubdev_host" ] && umount "$target/pub" || true
+#umount proc-flashybrid || true
+if [ -d /sys ]; then
+ umount "$target/sys" || true
+fi
+#if [ -d /dev/.udevdb ] || [ -f /dev/.devfsd ]; then
+# umount "$target/dev" || true
+#fi
+
+if [ ! "$1" = "temp" ]; then
+# [ -n "$bootdev_host" ] && umount "$target/boot" || true
+ [ -n "$rootdev_host" ] && umount "$target" || true
+fi